| HaXml | Parent | Contents | Index

Text.XML.HaXml.Html.Generate

Contents

HTML construction filters
  Containers
  Anchors
  Text style
  Tables
  Breaks, lines
  Attributes
A simple HTML pretty-printer

Description
These are just some common abbreviations for generating HTML content within the XML transformation framework defined by Text.Xml.HaXml.Combinators.
Synopsis

html :: [CFilter] -> CFilter
hhead :: [CFilter] -> CFilter
htitle :: [CFilter] -> CFilter
hbody :: [CFilter] -> CFilter
h1 :: [CFilter] -> CFilter
h2 :: [CFilter] -> CFilter
h3 :: [CFilter] -> CFilter
h4 :: [CFilter] -> CFilter
hpara :: [CFilter] -> CFilter
hdiv :: [CFilter] -> CFilter
hspan :: [CFilter] -> CFilter
margin :: [CFilter] -> CFilter
anchor :: [(String, CFilter)] -> [CFilter] -> CFilter
makehref :: CFilter -> [CFilter] -> CFilter
anchorname :: CFilter -> [CFilter] -> CFilter
hpre :: [CFilter] -> CFilter
hcentre :: [CFilter] -> CFilter
hem :: [CFilter] -> CFilter
htt :: [CFilter] -> CFilter
hbold :: [CFilter] -> CFilter
parens :: CFilter -> CFilter
bullet :: [CFilter] -> CFilter
htable :: [CFilter] -> CFilter
hrow :: [CFilter] -> CFilter
hcol :: [CFilter] -> CFilter
hbr :: CFilter
hhr :: CFilter
showattr :: String -> CFilter
(!) :: String -> CFilter
(?) :: String -> CFilter
htmlprint :: [Content] -> Doc

HTML construction filters
Containers
html :: [CFilter] -> CFilter
hhead :: [CFilter] -> CFilter
htitle :: [CFilter] -> CFilter
hbody :: [CFilter] -> CFilter
h1 :: [CFilter] -> CFilter
h2 :: [CFilter] -> CFilter
h3 :: [CFilter] -> CFilter
h4 :: [CFilter] -> CFilter
hpara :: [CFilter] -> CFilter
hdiv :: [CFilter] -> CFilter
hspan :: [CFilter] -> CFilter
margin :: [CFilter] -> CFilter
Anchors
anchor :: [(String, CFilter)] -> [CFilter] -> CFilter
makehref :: CFilter -> [CFilter] -> CFilter
anchorname :: CFilter -> [CFilter] -> CFilter
Text style
hpre :: [CFilter] -> CFilter
hcentre :: [CFilter] -> CFilter
hem :: [CFilter] -> CFilter
htt :: [CFilter] -> CFilter
hbold :: [CFilter] -> CFilter
parens :: CFilter -> CFilter
bullet :: [CFilter] -> CFilter
Tables
htable :: [CFilter] -> CFilter
hrow :: [CFilter] -> CFilter
hcol :: [CFilter] -> CFilter
Breaks, lines
hbr :: CFilter
hhr :: CFilter
Attributes
showattr :: String -> CFilter
(!) :: String -> CFilter
(?) :: String -> CFilter
A simple HTML pretty-printer
htmlprint :: [Content] -> Doc
Produced by Haddock version 0.4